# vim: set sw=4 ts=4 et nu:

# Copyright (c) 2013 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/

Name:               heldenviewer
Version:            1.0.4
%define pkg_version 1_0_4
Release:            2.67
Summary:            YouTube Downloader and Viewer Frontend
Source:             http://www.heldenviewer.com/http/downloads/HeldenViewer_src_%{pkg_version}.tar.gz
Source1:            heldenviewer.desktop
Patch1:             heldenviewer-getuid.patch
URL:                http://www.heldenviewer.com/
Group:              Productivity/Multimedia/Video/Players
License:            GPL-3.0+
BuildRoot:          %{_tmppath}/build-%{name}-%{version}
BuildRequires:      cmake
BuildRequires:      libqt4-devel
BuildRequires:      gcc-c++ make glibc-devel pkgconfig
BuildRequires:      autoconf automake libtool
BuildRequires:      update-desktop-files
Recommends:         smplayer

%description
HeldenViewer makes it very easy to search, download and view videos of the
Youtube platform.

On top it has the following features:
* Easy to use and very fast
* Clear arrangement of search results
* No commercials
* Downloads can be stopped and resumed later on
* Videos can be watched while downloading
* The download quality of a video can be chosen if the author provides
  different versions
* Authors can be added as favorites in order to announce new videos of the
  author for the next start of HeldenViewer
* Colorcoding of the videos contributes to the usability, there are colors for
  new, downloading, already seen, unseen and known videos
* Proxy support

%prep
%setup -q -n "HeldenViewer_src_%{pkg_version}"
%patch1

%build
%__install -d build
pushd build
cmake \
    -DCMAKE_VERBOSE_MAKEFILE=TRUE \
    -DCMAKE_INSTALL_PREFIX="%{_prefix}" \
    -DCMAKE_SKIP_RPATH=TRUE \
    -DCMAKE_BUILD_WITH_INSTALL_RPATH=FALSE \
    ..
%__make %{?_smp_mflags} VERBOSE=1
popd

%install
pushd build
%__install -D -m0755 ./HeldenViewer "%{buildroot}%{_bindir}/HeldenViewer"
popd

%__install -D -m0644 build/icon.png "%{buildroot}%{_datadir}/pixmaps/%{name}.png"
%__install -D -m0644 "%{SOURCE1}" "%{buildroot}%{_datadir}/applications/%{name}.desktop"

%suse_update_desktop_file -r "%{name}" AudioVideo Player

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc COPYING Changelog
%{_bindir}/HeldenViewer
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop

%changelog
* Sun Apr  7 2013 pascal.bleser@opensuse.org
- initial version (1.0.4)
